members.dev
Events

Get an Event Resource

Returns an Event Resource by ID

GET
/v1/events/resources/{resource_id}

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Path Parameters

resource_id*string

Header Parameters

Members-Context?string

Organization id (org_…) or short id. Required when no portal session bearer token is sent.

Default""

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://api.members.dev/portal/v1/events/resources/string"
{
  "id": "string",
  "name": "string",
  "timezone": "string",
  "archived_at": {},
  "availability": [
    {
      "day": "monday",
      "starts_at_local": "14:15:22Z",
      "ends_at_local": "14:15:22Z",
      "capacity": 0
    }
  ],
  "overrides": [
    {
      "starts_at_local": null,
      "ends_at_local": {},
      "capacity": 0
    }
  ],
  "created_at": null,
  "updated_at": null
}
{
  "type": "https://api.members.dev/errors/invalid_credentials",
  "title": "Invalid credentials",
  "status": 401,
  "detail": "Invalid API Key or token.",
  "code": "invalid_credentials"
}
{
  "type": "https://api.members.dev/errors/not_linked_to_tenant",
  "title": "Not linked to tenant",
  "status": 403,
  "detail": "Not linked to this tenant",
  "code": "not_linked_to_tenant"
}
{
  "type": "https://api.members.dev/errors/member_not_found",
  "title": "Member not found",
  "status": 404,
  "detail": "No member exists with the given id in this organization.",
  "code": "member_not_found"
}
{
  "type": "https://api.members.dev/errors/members_context_required",
  "title": "Members context required",
  "status": 422,
  "detail": "This client has multiple organizations. Send the Members-Context header with the organization id (org_…) for this request.",
  "code": "members_context_required"
}
{
  "type": "https://api.members.dev/errors/rate_limit_exceeded",
  "title": "Rate limit exceeded",
  "status": 429,
  "detail": "Rate limit exceeded",
  "code": "rate_limit_exceeded"
}